BItnami Self contained installaion for Apache 2.4.51 for Bitnami Wordpress stack

Keywords: WordPress - AWS - Technical issue - Upgrade

bnsupport ID: 74f879c8-b448-185c-13a2-2968d36dcf25

bndiagnostic output:

? Apache: Found possible issues
? Connectivity: Found possible issues
? Resources: Found possible issues
https://docs.bitnami.com/general/apps/wordpress/troubleshooting/debug-errors-apache/
https://docs.bitnami.com/general/faq/administration/use-firewall/
https://docs.bitnami.com/installer/faq/linux-faq/administration/increase-memory-linux/

bndiagnostic failure reason: The suggested guides are not related with my issue

Description:
Hi, We have been using Bitnami self contained installation servers, from bitnami hosting (app.bitnamihosting.com) for past few years, and when we spin up a new Bitnami Wordpress Server, the Apache configuration has been the “Self Contained installer”.
This contains the following configuration :

  1. The /opt/bitnami/apache2/conf/httpd.conf file is the main Apache configuration file.

  2. The /opt/bitnami/apache2/conf/bitnami/bitnami.conf file defines which configuration for each application should be loaded by the Apache server. This file internally references the two files below:
    3) The /opt/bitnami/apache2/conf/bitnami/bitnami-apps-prefix.conf file defines the list of applications to load.
    4) The /opt/bitnami/apache2/conf/bitnami/bitnami-apps-vhosts.conf file defines those applications that need to be served in a different virtual host.

However, now since bitnami release image for Apache 2.4.51, if we spin up a new server on app.bitnamihosting.com, we see that the above configuration is different, and now the configuration is based on “System packages”.
(Refer - https://docs.bitnami.com/aws/faq/get-started/understand-upcoming-changes/)

However we have some cutomized configurations using the previous Self contained config, hence it would be greatly appreciated if you can provide a self contained installation which has Apache 2.4.51 and PHP 7.4.24. Can you please let us know about this?

Hi @rukshan.sugathapala

Thanks for using Bitnami WordPress!

hence it would be greatly appreciated if you can provide a self contained installation which has Apache 2.4.51 and PHP 7.4.24. Can you please let us know about this?

I am afraid we can’t provide you with a self-contained version of the Bitnami WordPress stack. We are currently working on migrating every stack to this new approach, as it reduces the complexity of the image. Hence, assets that are already using this new approach (like WordPress) are meant to keep being released using it, as we have dropped the support for the old one.

However we have some cutomized configurations using the previous Self contained config

Nevertheless, the changes that this new approach features should not heavily impact your existing configuration and will most likely just require some rearrangements to abide by the new structure.

  1. The /opt/bitnami/apache2/conf/httpd.conf is still the main Apache configuration file
  2. The /opt/bitnami/apache/conf/bitnami/bitnami.conf defines the default VirtualHost for HTTP connections
  3. The /opt/bitnami/apache/conf/bitnami/bitnami-ssl.conf defines the default VirtualHost for HTTPS connections
  4. The /opt/bitnami/apache/conf/vhosts folder is now home to every custom/application-specific VirtualHost
  5. The /opt/bitnami/apache2/conf/bitnami/bitnami-apps-prefix.conf has been deprecated. Applications are now preferably defined using VirtualHost instead.

In any case, feel free to reach out to us if you find any problem, we will be more than happy to help! :slightly_smiling_face:

Best regards,
Jose Antonio Carmona


Was my answer helpful? Click on :heart: